local _, private = ...
if private.shouldSkip() then return end
if private.isPatch then return end

--[[ Lua Globals ]]
-- luacheck: globals

--[[ Core ]]
local Aurora = private.Aurora
local Skin = Aurora.Skin
local Util = Aurora.Util

--do --[[ FrameXML\AudioOptionsPanelsVoice.lua ]]
--end

--do --[[ FrameXML\AudioOptionsPanelsVoice.xml ]]
--end

function private.SharedXML.AudioOptionsPanelsVoice()
    local AudioOptionsVoicePanel = _G.AudioOptionsVoicePanel
    Skin.OptionsDropdownTemplate(AudioOptionsVoicePanel.OutputDeviceDropdown)
    Skin.OptionsSliderTemplate(AudioOptionsVoicePanel.VoiceChatVolume)
    Skin.OptionsSliderTemplate(AudioOptionsVoicePanel.VoiceChatDucking)
    Skin.OptionsDropdownTemplate(AudioOptionsVoicePanel.MicDeviceDropdown)
    Skin.OptionsSliderTemplate(AudioOptionsVoicePanel.VoiceChatMicVolume)
    Skin.OptionsSliderTemplate(AudioOptionsVoicePanel.VoiceChatMicSensitivity)

    local TestInputDevice = AudioOptionsVoicePanel.TestInputDevice
    Skin.OptionsButtonTemplate(TestInputDevice.ToggleTest)
    Util.HideNineSlice(TestInputDevice.VUMeter)
    Skin.FrameTypeStatusBar(TestInputDevice.VUMeter.Status)

    Skin.OptionsDropdownTemplate(AudioOptionsVoicePanel.ChatModeDropdown)
end
